## net.sourceforge.pmd.jbuilder
Class PMDOpenTool

public class PMDOpenTool

  Title: JBuilder OpenTool for PMD

  Description: Provides an environemnACTION_PMDCheckt for using the PMD aplication from within JBuilder

  Copyright: Copyright (c) 2002

  Company: InfoEther

Version:
  1.0
Author:
  David Craine

Constructor Detail

### PMDOpenTool

    public PMDOpenTool()

  Default constructor

Method Detail

### initOpenTool

    public static void initOpenTool(byte majorVersion,
                                    byte minorVersion)

  Required for JBuilder OpenTool support

Parameters:
  `majorVersion` - major version id
  `minorVersion` - minor version id

### registerWithContentManager

    private static void registerWithContentManager()

  Registers an "PMD Checker" action with the ContentManager (Tabs) The action will not be visible if multiple nodes are selected

### constructRuleSets

    private static RuleSet constructRuleSets(RuleSetFactory ruleSetFactory,
                                             PMD pmd)

  Create PMD Rule Sets based upon the configuration settings

Parameters:
  `ruleSetFactory` - PMD RuleSetFactory
  `pmd` - PMD object
Returns:
  A Ruleset and any embedded rulesets

### instanceCheck

    public static Report instanceCheck(String text)

  Run the PMD against some code

Parameters:
  `text` - code to check
Returns:
  PMD Report object

### main

    public static void main(String[] args)

  Main method for testing purposes

Parameters:
  `args` - standard arguments